{
  "entryFile": "src/app.ts",
  "noImplicitAdditionalProperties": "throw-on-extras",
  "controllerPathGlobs": ["src/**/*Controller.ts"],
  "spec": {
    "specVersion": 3,
    "outputDirectory": "src",
    "basePath": "/api",
    "spec": {
      "info": {
        "title": "Enterprise Document Management(EDM) - API",
        "version": "0.0.2",
        "description": "Open API Specfication for Enterprise Document Management ",
        "license": {
          "name": "by Frappet",
          "url": "https://frappet.com"
        }
      },
      "basePath": "/api"
    },
    "securityDefinitions": {
      "bearerAuth": {
        "type": "apiKey",
        "name": "Authorization",
        "description": "Keycloak Bearer Token",
        "in": "header"
      }
    },
    "tags": [
      { "name": "ตู้เอกสาร" },
      { "name": "ลิ้นชัก" },
      { "name": "แฟ้ม" },
      { "name": "แฟ้มย่อย" },
      { "name": "ไฟล์" },
      { "name": "ดาวน์โหลด" },
      { "name": "ค้นหา" }
    ]
  },
  "routes": {
    "routesDir": "src",
    "authenticationModule": "src/utils/auth.ts"
  }
}
